﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 22/02/2021 18:09:10
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS proyecto_final;

CREATE DATABASE proyecto_final
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE proyecto_final;

--
-- Create table `festivales`
--
CREATE TABLE festivales (
  cod int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(25) DEFAULT NULL,
  fecha_inicio date DEFAULT NULL,
  fecha_fin date DEFAULT NULL,
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
AUTO_INCREMENT = 1001,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `entradas`
--
CREATE TABLE entradas (
  cod int(11) NOT NULL,
  numero_entrada int(11) DEFAULT NULL,
  cod_festivales int(11) DEFAULT NULL,
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 327,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE entradas
ADD CONSTRAINT FK_entradas_cod_festivales FOREIGN KEY (cod_festivales)
REFERENCES festivales (cod) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `conciertos`
--
CREATE TABLE conciertos (
  cod int(11) NOT NULL AUTO_INCREMENT,
  fecha date DEFAULT NULL,
  hora_inicio time DEFAULT NULL,
  hora_fin time DEFAULT NULL,
  cod_festivales int(11) DEFAULT NULL,
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
AUTO_INCREMENT = 9847,
AVG_ROW_LENGTH = 655,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE conciertos
ADD CONSTRAINT FK_conciertos_cod_festivales FOREIGN KEY (cod_festivales)
REFERENCES festivales (cod) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `instrumentos`
--
CREATE TABLE instrumentos (
  cod_conciertos int(11) NOT NULL,
  instrumentos varchar(25) NOT NULL,
  PRIMARY KEY (cod_conciertos, instrumentos)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 655,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE instrumentos
ADD CONSTRAINT FK_instrumentos_cod_conciertos FOREIGN KEY (cod_conciertos)
REFERENCES conciertos (cod) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `clientes`
--
CREATE TABLE clientes (
  cod int(11) NOT NULL AUTO_INCREMENT,
  dni varchar(9) DEFAULT NULL,
  nombre varchar(25) DEFAULT NULL,
  apellidos varchar(25) DEFAULT NULL,
  edad int(11) DEFAULT NULL,
  fecha_nacimiento date DEFAULT NULL,
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
AUTO_INCREMENT = 9598,
AVG_ROW_LENGTH = 409,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `compran`
--
CREATE TABLE compran (
  cod_clientes int(11) NOT NULL,
  cod_entradas int(11) NOT NULL,
  cod_festivales int(11) NOT NULL,
  PRIMARY KEY (cod_clientes, cod_entradas, cod_festivales)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 655,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `UK_compran` on table `compran`
--
ALTER TABLE compran
ADD UNIQUE INDEX UK_compran (cod_clientes, cod_entradas);

--
-- Create index `UK_compran2` on table `compran`
--
ALTER TABLE compran
ADD UNIQUE INDEX UK_compran2 (cod_entradas, cod_festivales);

--
-- Create index `UK_compran3` on table `compran`
--
ALTER TABLE compran
ADD UNIQUE INDEX UK_compran3 (cod_clientes, cod_festivales);

--
-- Create foreign key
--
ALTER TABLE compran
ADD CONSTRAINT FK_compran_cod_clientes FOREIGN KEY (cod_clientes)
REFERENCES clientes (cod) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE compran
ADD CONSTRAINT FK_compran_cod_entradas FOREIGN KEY (cod_entradas)
REFERENCES entradas (cod) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE compran
ADD CONSTRAINT FK_compran_cod_festivales FOREIGN KEY (cod_festivales)
REFERENCES clientes (cod) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `cantantes`
--
CREATE TABLE cantantes (
  cod int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(25) DEFAULT NULL,
  apellidos varchar(25) DEFAULT NULL,
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
AUTO_INCREMENT = 9924,
AVG_ROW_LENGTH = 655,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `cantan`
--
CREATE TABLE cantan (
  cod_cantantes int(11) NOT NULL,
  cod_conciertos int(11) NOT NULL,
  PRIMARY KEY (cod_cantantes, cod_conciertos)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 655,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE cantan
ADD CONSTRAINT FK_cantan_cod_cantantes FOREIGN KEY (cod_cantantes)
REFERENCES cantantes (cod) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE cantan
ADD CONSTRAINT FK_cantan_cod_conciertos FOREIGN KEY (cod_conciertos)
REFERENCES conciertos (cod) ON DELETE NO ACTION ON UPDATE CASCADE;

-- 
-- Dumping data for table festivales
--
INSERT INTO festivales VALUES
(9, 'Riverland', '2021-02-17', '2021-02-25'),
(109, 'Medusa', '2021-01-17', '2021-01-24'),
(533, 'Sunblast', '2021-01-14', '2021-01-21'),
(1000, 'Arenal', '2021-01-08', '2021-01-15');

-- 
-- Dumping data for table entradas
--
INSERT INTO entradas VALUES
(1, 32083, 1000),
(2, 15628, 533),
(3, 24491, 109),
(4, 82805, 533),
(5, 60304, 109),
(102, 84680, 9),
(103, 83863, 9),
(104, 23597, 1000),
(105, 62870, 533),
(106, 49420, 9),
(235, 13169, 533),
(236, 53590, 1000),
(237, 33857, 1000),
(238, 7893, 9),
(239, 42301, 109),
(240, 80236, 109),
(241, 86213, 1000),
(335, 97585, 109),
(336, 53634, 533),
(337, 72618, 109),
(338, 24364, 1000),
(339, 40717, 109),
(340, 67110, 109),
(341, 4963, 109),
(480, 51798, 109),
(481, 66327, 1000),
(482, 87329, 9),
(483, 40901, 533),
(581, 51272, 9),
(582, 87509, 109),
(583, 78378, 109),
(611, 10613, 109),
(612, 77156, 109),
(613, 70155, 1000),
(614, 69927, 109),
(615, 4686, 109),
(711, 79743, 9),
(712, 80709, 109),
(713, 89829, 9),
(714, 74807, 9),
(715, 2529, 109),
(852, 11452, 1000),
(853, 32721, 9),
(854, 72409, 9),
(855, 94403, 109),
(856, 20976, 1000),
(951, 2233, 9),
(952, 70661, 109),
(953, 41332, 109),
(954, 99750, 1000);

-- 
-- Dumping data for table clientes
--
INSERT INTO clientes VALUES
(448, '46575620F', 'Gerwitt', 'Baur', 38, '1982-07-03'),
(449, '45545878Z', 'Reglindis', 'iemann', 41, '1980-01-06'),
(450, '21915977E', 'Rüdiger', 'Linger', 23, '1997-06-24'),
(451, '89809052S', 'Faralt', 'Schwabe', 39, '1981-09-14'),
(1449, '48443398E', 'Narvik', 'umpf', 36, '1984-08-21'),
(1450, '32302737R', 'Cecilie', 'ack', 18, '2002-05-20'),
(1451, '46880361N', 'Marlisa', 'ietzsche', 19, '2002-01-28'),
(2815, '56031201M', 'Fawini', 'Zurbriggen', 33, '1987-03-17'),
(2816, '09129524Z', 'Hugbert', 'Liebknecht', 19, '2001-10-27'),
(2817, '66286626B', 'Folke', 'Knobel', 24, '1997-02-26'),
(2818, '70590027G', 'Mingard', 'itsch', 31, '1989-12-15'),
(3816, '94935234S', 'Kordt', 'Dörner', 38, '1982-04-16'),
(3817, '64885932Z', 'Orela', 'Klug', 27, '1993-03-10'),
(3818, '16722201F', 'Cordt', 'Koch', 33, '1987-12-08'),
(4693, '56857082N', 'Cäsar', 'Heckler', 41, '1980-01-05'),
(4694, '35507290W', 'Gotfrit', 'Baumgarten', 16, '2004-05-15'),
(4695, '65500356R', 'Merisa', 'Kalb', 28, '1992-04-28'),
(4696, '26088644S', 'Ehrentraud', 'Lipsius', 25, '1995-08-01'),
(4697, '65904689N', 'Castiel', 'Schwarzmann', 29, '1991-10-14'),
(5694, '16383999Z', 'Madline', 'Kloz', 36, '1984-04-02'),
(5695, '27868763H', 'Aleida ', 'chulz', 26, '1994-09-06'),
(5696, '92862852G', 'Hieronyma', 'Heidemann', 26, '1994-12-17'),
(5697, '57490932C', 'Thomia', 'Schwarz', 41, '1980-01-05'),
(5698, '68527928C', 'Farold', 'Kohlberg', 32, '1989-01-16'),
(6320, '13119492B', 'Tesnim', 'Wagner', 19, '2001-04-25'),
(6321, '91056930M', 'Felizitas', 'Lindenstrauss', 28, '1993-01-25'),
(6322, '80050729L', 'Edda', 'acks', 34, '1986-04-05'),
(6323, '97640777K', 'Björke', 'Heine', 18, '2003-02-16'),
(7320, '60169277V', 'Adolina ', 'von Feierbach', 40, '1980-04-26'),
(7321, '48358039H', 'Adine ', 'Knecht', 41, '1980-01-14'),
(7322, '01443169D', 'Madlena', 'Dötzer', 39, '1981-10-08'),
(7323, '75903039L', 'Heidi', 'Walter', 21, '1999-09-08'),
(7324, '39113798L', 'Ebba', 'Wassermann', 21, '1999-09-24'),
(8597, '55009733P', 'Role', 'chultz', 39, '1981-07-20'),
(8598, '28891497X', 'Christoff', 'von Richthofen', 41, '1980-01-31'),
(8599, '33223267F', 'Wotan', 'Walser', 31, '1989-05-26'),
(8600, '96511080J', 'Völund', 'Bebel', 40, '1980-04-07'),
(9595, '21888073N', 'Kaira', 'Lindenau', 22, '1998-11-01'),
(9596, '07364540U', 'Agnete ', 'chulze', 31, '1989-05-23'),
(9597, '28146529O', 'Barthel ', 'Kalkbrenner', 25, '1996-02-03');

-- 
-- Dumping data for table conciertos
--
INSERT INTO conciertos VALUES
(886, '2021-01-14', '22:13:07', '01:13:07', 533),
(887, '2021-01-14', '19:51:32', '22:51:32', 533),
(1887, '2021-02-17', '06:08:46', '09:08:46', 9),
(1888, '2021-01-14', '22:15:25', '01:15:25', 533),
(2182, '2021-01-17', '23:42:31', '02:42:31', 109),
(2183, '2021-01-08', '00:00:06', '03:00:06', 1000),
(3182, '2021-02-17', '23:40:21', '02:40:21', 9),
(3183, '2021-01-14', '00:00:01', '03:00:01', 533),
(3184, '2021-01-08', '00:00:04', '03:00:04', 1000),
(4996, '2021-01-08', '21:48:16', '00:48:16', 1000),
(4997, '2021-01-08', '19:14:34', '22:14:34', 1000),
(5996, '2021-01-14', '00:01:22', '03:01:22', 533),
(5997, '2021-02-17', '00:38:00', '03:38:00', 9),
(5998, '2021-01-08', '00:00:38', '03:00:38', 1000),
(6190, '2021-01-14', '00:00:04', '03:00:04', 533),
(6191, '2021-01-14', '10:12:53', '13:12:53', 533),
(6192, '2021-01-08', '01:33:42', '04:33:42', 1000),
(7190, '2021-01-08', '14:20:15', '17:20:15', 1000),
(7191, '2021-01-17', '02:39:05', '05:39:05', 109),
(7192, '2021-02-17', '01:31:26', '04:31:26', 9),
(7193, '2021-01-14', '13:20:34', '16:20:34', 533),
(8847, '2021-01-14', '00:04:55', '03:04:55', 533),
(8848, '2021-01-08', '12:12:28', '15:12:28', 1000),
(9845, '2021-01-08', '10:48:39', '13:48:39', 1000),
(9846, '2021-02-17', '10:46:37', '13:46:37', 9);

-- 
-- Dumping data for table cantantes
--
INSERT INTO cantantes VALUES
(478, 'Amos', 'Zapf'),
(479, 'Gail', 'Zeiger'),
(480, 'Efrain', 'Lamprecht'),
(481, 'Bert', 'Landsberg'),
(1478, 'Morgan', 'stwald'),
(1479, 'Cathryn', 'Stackelberg'),
(1480, 'Scotty', 'Kessler'),
(1481, 'Jose', 'Zeisel'),
(2261, 'Conrad', 'Zurbriggen'),
(4762, 'Abraham', 'Sprenger'),
(4763, 'Gaylord', 'Eichenwald'),
(5763, 'Abby', 'verbeck'),
(5764, 'Makeda', 'Bering'),
(6865, 'Madelene', 'Lambert'),
(6866, 'Alaina', 'Bergmann'),
(7865, 'Stefani', 'Zahn'),
(7866, 'Keira', 'Manstein'),
(8923, 'Adam', 'Zabel'),
(8924, 'Ramiro', 'Ebert'),
(8925, 'Danilo', 'Stammer'),
(8926, 'Shane', 'Kirchner'),
(9920, 'Micheal', 'Kesselmann'),
(9921, 'Kittie', 'Spiegel'),
(9922, 'Josef', 'Franke'),
(9923, 'Horacio', 'Kinkel');

-- 
-- Dumping data for table instrumentos
--
INSERT INTO instrumentos VALUES
(2182, 'Bajo'),
(2182, 'Bateria'),
(2182, 'Guitarra'),
(2182, 'Piano'),
(3182, 'Bajo'),
(3182, 'Bateria'),
(3182, 'Guitarra'),
(3182, 'Piano'),
(4996, 'Bajo'),
(4996, 'Bateria'),
(4996, 'Guitarra'),
(4996, 'Piano'),
(5996, 'Bateria'),
(5996, 'Guitarra'),
(6190, 'Bajo'),
(6190, 'Piano'),
(7190, 'Bajo'),
(7190, 'Bateria'),
(7190, 'Guitarra'),
(7191, 'Piano'),
(8847, 'Guitarra'),
(9845, 'Bajo'),
(9845, 'Bateria'),
(9845, 'Guitarra'),
(9845, 'Piano');

-- 
-- Dumping data for table compran
--
INSERT INTO compran VALUES
(448, 335, 448),
(449, 612, 449),
(450, 238, 450),
(1449, 104, 1449),
(1450, 952, 1450),
(2815, 2, 2815),
(2816, 103, 2816),
(2817, 237, 2817),
(3816, 711, 3816),
(3817, 853, 3817),
(4693, 480, 4693),
(4694, 852, 4694),
(4695, 236, 4695),
(5694, 102, 5694),
(5695, 712, 5695),
(6320, 235, 6320),
(6321, 337, 6321),
(7320, 1, 7320),
(7321, 336, 7321),
(7322, 338, 7322),
(8597, 951, 8597),
(8598, 3, 8598),
(8599, 4, 8599),
(9595, 611, 9595),
(9596, 581, 9596);

-- 
-- Dumping data for table cantan
--
INSERT INTO cantan VALUES
(478, 3183),
(479, 1887),
(480, 4997),
(481, 1888),
(1478, 5996),
(1479, 886),
(1480, 6192),
(1481, 9846),
(2261, 8847),
(4762, 7191),
(4763, 7192),
(5763, 5997),
(5764, 887),
(6865, 2182),
(6866, 8848),
(7865, 9845),
(7866, 2183),
(8923, 4996),
(8924, 6190),
(8925, 3184),
(8926, 7193),
(9920, 7190),
(9921, 3182),
(9922, 6191),
(9923, 5998);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;